Bug 1534067 (python-pybids) - Review Request: python-pybids - Interface with datasets conforming to BIDS
Summary: Review Request: python-pybids - Interface with datasets conforming to BIDS
Keywords:
Status: CLOSED ERRATA
Alias: python-pybids
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Othman Madjoudj
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1280480 1504375 1538824
Blocks: fedora-neuro
TreeView+ depends on / blocked
 
Reported: 2018-01-12 23:31 UTC by Ankur Sinha (FranciscoD)
Modified: 2018-11-22 03:20 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-11-22 02:22:27 UTC
athmanem: fedora-review+


Attachments (Terms of Use)

Description Ankur Sinha (FranciscoD) 2018-01-12 23:31:48 UTC
Spec URL: https://ankursinha.fedorapeople.org/python-pybids/python-pybids.spec
SRPM URL: https://ankursinha.fedorapeople.org/python-pybids/python-pybids-0.4.2-1.fc27.src.rpm

Description: 
PyBIDS is a Python module to interface with datasets conforming BIDS.

Fedora Account System Username: ankursinha

Comment 1 Othman Madjoudj 2018-01-14 22:29:42 UTC
Looks good, here's few points to consider:

1. About license: it's preferable to ask upstream to include the license in the tarball (reference the request in the spec)

2. For readability reasons, it's recommended to put one requirement per line (Requires/BuildRequires and Recommends) 

3. It seems that there's a test suite, but not included in the pypi tarball (not a blocker)

https://github.com/INCF/pybids/tree/master/bids/grabbids/tests


To fix point 1 and 3, you may want to switch to github tarball instead of pypi's

Source0: https://github.com/INCF/%{srcname}/archive/%{version}/%{srcname}-%{version}.tar.gz

Comment 2 Ankur Sinha (FranciscoD) 2018-01-15 22:21:35 UTC
Thanks for the review! The tests require python grabbit, so I'm afraid I'll have to package that up first.

https://pypi.python.org/pypi/grabbit

Doing that now.

Comment 3 Marcel Plch 2018-06-26 12:34:31 UTC
Note that I am not a packager yet and this is an informal review.
-----------------------------------------------------------------

There already is version 0.6.3 released, could you update this package?

The rest is probably mentioned by Athmane.

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "MIT/X11 (BSD like)", "BSD (unspecified)", "Unknown or
     generated". 10 files have unknown license. Detailed output of
     licensecheck in /home/mplch/reviews/1534067-python-
     pybids/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[x]: Macros in Summary, %description expandable at SRPM build time.
     Note: Macros in: python2-pybids (summary), python3-pybids (summary)
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 20480 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[!]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[-]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
     python2-pybids , python3-pybids
[x]: Package functions as described.
[!]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[!]: %check is present and all tests pass.
[?]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: python2-pybids-0.4.2-1.fc29.noarch.rpm
          python3-pybids-0.4.2-1.fc29.noarch.rpm
          python-pybids-0.4.2-1.fc29.src.rpm
python2-pybids.noarch: W: unexpanded-macro Summary(C) %{sum}
python2-pybids.noarch: W: spelling-error %description -l en_US datasets -> data sets, data-sets, databases
python3-pybids.noarch: W: unexpanded-macro Summary(C) %{sum}
python3-pybids.noarch: W: spelling-error %description -l en_US datasets -> data sets, data-sets, databases
python-pybids.src: W: spelling-error Summary(en_US) datasets -> data sets, data-sets, databases
python-pybids.src: W: spelling-error %description -l en_US datasets -> data sets, data-sets, databases
3 packages and 0 specfiles checked; 0 errors, 6 warnings.




Rpmlint (installed packages)
----------------------------
python2-pybids.noarch: W: unexpanded-macro Summary(C) %{sum}
python2-pybids.noarch: W: spelling-error %description -l en_US datasets -> data sets, data-sets, databases
python3-pybids.noarch: W: unexpanded-macro Summary(C) %{sum}
python3-pybids.noarch: W: spelling-error %description -l en_US datasets -> data sets, data-sets, databases
2 packages and 0 specfiles checked; 0 errors, 4 warnings.

Comment 4 Ankur Sinha (FranciscoD) 2018-07-20 23:56:54 UTC
Thanks for the review! I've updated the package:

- https://ankursinha.fedorapeople.org/python-pybids/python-pybids.spec
- https://ankursinha.fedorapeople.org/python-pybids/python-pybids-0.6.3-1.fc28.src.rpm

The tests depend on duecredit and nibabel which are not ready, so I've skipped them for the time being.

Cheers!

Comment 5 Ankur Sinha (FranciscoD) 2018-11-08 00:26:55 UTC
Athmane, the package is now ready for review. Duecredit and grabbit have been packaged etc., and so the tests are all run, and the docs are built too. Can you please review it?

Updated spec/srpm:
https://ankursinha.fedorapeople.org/python-pybids/python-pybids.spec
https://ankursinha.fedorapeople.org/python-pybids/python-pybids-0.6.5-1.gite35ced6.fc29.src.rpm

Cheers,
Ankur

Comment 6 Ankur Sinha (FranciscoD) 2018-11-08 00:33:37 UTC
Rawhide scratch build: https://koji.fedoraproject.org/koji/taskinfo?taskID=30730136

Comment 7 Manas Mangaonkar (Pac23) 2018-11-11 07:08:43 UTC
I am not a official Packager yet,this is a unofficial review. 
-------------------------------------------------------------------


Mock build failed on two different machines,config error stating fc28  

ERROR: Exception(/root/python-pybids-0.6.5-1.gite35ced6.fc29.src.rpm) Config(fedora-28-x86_64)

Comment 8 Ankur Sinha (FranciscoD) 2018-11-11 08:11:53 UTC
(In reply to Manas Mangaonkar (Pac23) from comment #7)
> I am not a official Packager yet,this is a unofficial review. 
> -------------------------------------------------------------------
> 
> 
> Mock build failed on two different machines,config error stating fc28  
> 
> ERROR: Exception(/root/python-pybids-0.6.5-1.gite35ced6.fc29.src.rpm)
> Config(fedora-28-x86_64)

Manas, I'm afraid that's not sufficient to be called a review. You must at least investigate the build logs and point out what the error is.


In this case, I can guess what it is. it is that duecredit and grabbit are in testing and therefore not present in the stable repos. So, the package will build correctly in rawhide but will need build root overrides for the stable releases. 
Please check the build log to confirm if this is the case :)

More information here: https://fedoraproject.org/wiki/Package_update_HOWTO#Updating_inter-dependent_packages

Comment 9 Manas Mangaonkar (Pac23) 2018-11-11 09:17:16 UTC
(In reply to Ankur Sinha (FranciscoD) from comment #8)
> (In reply to Manas Mangaonkar (Pac23) from comment #7)
> > I am not a official Packager yet,this is a unofficial review. 
> > -------------------------------------------------------------------
> > 
> > 
> > Mock build failed on two different machines,config error stating fc28  
> > 
> > ERROR: Exception(/root/python-pybids-0.6.5-1.gite35ced6.fc29.src.rpm)
> > Config(fedora-28-x86_64)
> 
> Manas, I'm afraid that's not sufficient to be called a review. You must at
> least investigate the build logs and point out what the error is.
> 
> 
> In this case, I can guess what it is. it is that duecredit and grabbit are
> in testing and therefore not present in the stable repos. So, the package
> will build correctly in rawhide but will need build root overrides for the
> stable releases. 
> Please check the build log to confirm if this is the case :)
> 
> More information here:
> https://fedoraproject.org/wiki/Package_update_HOWTO#Updating_inter-
> dependent_packages

Yes packages(grabbit & duecredit) Are missing. Will be detailed in my next review.

Comment 10 Manas Mangaonkar (Pac23) 2018-11-11 09:17:34 UTC
(In reply to Ankur Sinha (FranciscoD) from comment #8)
> (In reply to Manas Mangaonkar (Pac23) from comment #7)
> > I am not a official Packager yet,this is a unofficial review. 
> > -------------------------------------------------------------------
> > 
> > 
> > Mock build failed on two different machines,config error stating fc28  
> > 
> > ERROR: Exception(/root/python-pybids-0.6.5-1.gite35ced6.fc29.src.rpm)
> > Config(fedora-28-x86_64)
> 
> Manas, I'm afraid that's not sufficient to be called a review. You must at
> least investigate the build logs and point out what the error is.
> 
> 
> In this case, I can guess what it is. it is that duecredit and grabbit are
> in testing and therefore not present in the stable repos. So, the package
> will build correctly in rawhide but will need build root overrides for the
> stable releases. 
> Please check the build log to confirm if this is the case :)
> 
> More information here:
> https://fedoraproject.org/wiki/Package_update_HOWTO#Updating_inter-
> dependent_packages

Yes packages(grabbit & duecredit) Are missing. Will be detailed in my next review.

Comment 11 Ankur Sinha (FranciscoD) 2018-11-11 09:29:34 UTC
Great. Please post when you've done a full review (and make a note of it so that we can show it to the sponsors). In the meantime, please check new packages against rawhide, not a stable release---it is not neccessary to make new packages available to stable releases.

Comment 12 Othman Madjoudj 2018-11-11 19:41:20 UTC
(In reply to Marcel Plch from comment #3)
<...snip...>

> ===== SHOULD items =====
> 
> Generic:
> [!]: If the source package does not include license text(s) as a separate
>      file from upstream, the packager SHOULD query upstream to include it.

Looks good, license included in the tarball.

<...snip...>

> [!]: Latest version is packaged.
Looks good


<...snip...>
> [!]: %check is present and all tests pass.
It's there and passes. ( check https://kojipkgs.fedoraproject.org//work/tasks/8868/30808868/build.log)

<...snip...>

Build OK: https://koji.fedoraproject.org/koji/taskinfo?taskID=30808867

===

Result: PACKAGE APPROVED

Comment 13 Ankur Sinha (FranciscoD) 2018-11-11 20:16:58 UTC
Thank you for the review, Athmane. SCM requested: https://pagure.io/releng/fedora-scm-requests/issue/8802

Comment 14 Ankur Sinha (FranciscoD) 2018-11-11 20:19:36 UTC
(In reply to Marcel Plch from comment #3)
> Note that I am not a packager yet and this is an informal review.
> -----------------------------------------------------------------

Thanks for you review too, Marcel. If I can help you become a package maintainer (assuming that's why you did the informal review), please do let me know. 

Cheers,
Ankur

Comment 15 Gwyn Ciesla 2018-11-12 14:49:00 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/python-pybids

Comment 16 Fedora Update System 2018-11-12 18:43:34 UTC
python-pybids-0.6.5-2.gite35ced6.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2018-c4baca0d2f

Comment 17 Fedora Update System 2018-11-12 18:44:08 UTC
python-pybids-0.6.5-2.gite35ced6.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-1e92147c94

Comment 18 Fedora Update System 2018-11-13 04:07:50 UTC
python-pybids-0.6.5-2.gite35ced6.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-1e92147c94

Comment 19 Fedora Update System 2018-11-13 04:49:55 UTC
python-pybids-0.6.5-2.gite35ced6.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-c4baca0d2f

Comment 20 Fedora Update System 2018-11-22 02:22:27 UTC
python-pybids-0.6.5-2.gite35ced6.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.

Comment 21 Fedora Update System 2018-11-22 03:20:30 UTC
python-pybids-0.6.5-2.gite35ced6.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.